Subject: 28.1.90; Erroneous footnote link in Org info manual
From: Ihor Radchenko <[email-masked]>
To: [email-masked]
Date: Wed, 16 Nov 2022 01:22:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I am forwarding this from Org mailing list discussion about Org manual.
https://orgmode.org/list/87pmdqfao4.fsf@localhost

In 16.5 Evaluating Code Blocks section of Org info manual, there is an
example code block

    #+NAME: random
    #+BEGIN_SRC R :cache yes
      runif(1)
    #+END_SRC

This code block is represented like the following in the texinfo Org
manual source:

   @example
   #+NAME: random
   #+BEGIN_SRC R :cache yes
     runif(1)
   #+END_SRC

   ...
   @end example

Note the (1). It is unexpectedly shown as a footnote reference and one
can click on (1). This only happens in the info manual. Not in html.

I have checked
https://www.gnu.org/software/texinfo/manual/texinfo/html_node/_0040example.html

and I do not see anything wrong in the above texinfo source.

I am also not an expert in texinfo.

Could someone more experienced with texinfo check if the observed is
something to be fixed on Org side, on Texinfo side, or maybe on
Info-mode side?

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>